<?php

namespace Bydedi\Database\Behaviors;

use Doctrine\ORM\Mapping as ORM;

/**
 * Seo trait.
 * @package Bydedi\Database\Behaviors
 */
trait Seo
{
    /**
     * @var string
     *
     * @ORM\Column(name="meta_title", type="string", length=255, nullable=true)
     */
    private $metaTitle = '';

    /**
     * @var string
     *
     * @ORM\Column(name="meta_desc", type="string", length=255, nullable=true)
     */
    private $metaDesc = '';

    /**
     * @var string
     *
     * @ORM\Column(name="meta_kw", type="string", length=255, nullable=true)
     */
    private $metaKw = '';

    /**
     * @var string
     *
     * @ORM\Column(name="meta_other", type="text", length=65535, nullable=true)
     */
    private $metaOther = '';

    /**
     * Set metaTitle
     *
     * @param string $metaTitle
     *
     * @return $this
     */
    public function setMetaTitle($metaTitle)
    {
        $this->metaTitle = $metaTitle;

        return $this;
    }

    /**
     * Get metaTitle
     *
     * @return string
     */
    public function getMetaTitle()
    {
        return $this->metaTitle;
    }

    /**
     * Set metaDesc
     *
     * @param string $metaDesc
     *
     * @return $this
     */
    public function setMetaDesc($metaDesc)
    {
        $this->metaDesc = $metaDesc;

        return $this;
    }

    /**
     * Get metaDesc
     *
     * @return string
     */
    public function getMetaDesc()
    {
        return $this->metaDesc;
    }

    /**
     * Set metaKw
     *
     * @param string $metaKw
     *
     * @return $this
     */
    public function setMetaKw($metaKw)
    {
        $this->metaKw = $metaKw;

        return $this;
    }

    /**
     * Get metaKw
     *
     * @return string
     */
    public function getMetaKw()
    {
        return $this->metaKw;
    }

    /**
     * Set metaOther
     *
     * @param string $metaOther
     *
     * @return $this
     */
    public function setMetaOther($metaOther)
    {
        $this->metaOther = $metaOther;

        return $this;
    }

    /**
     * Get metaOther
     *
     * @return string
     */
    public function getMetaOther()
    {
        return $this->metaOther;
    }
}
