<?php

namespace Bydedi\Database;

use Bydedi\Container\ServiceProvider;
use Bydedi\Database\DependencyInjection\Compiler\RegisterEventSubscribersPass;
use Symfony\Component\Config\FileLocator;
use Symfony\Component\DependencyInjection\Loader\YamlFileLoader;

class DatabaseServiceProvider extends ServiceProvider
{

    /**
     * Register the service provider.
     *
     * @return void
     */
    public function register()
    {
        $this->serviceContainer->addCompilerPass(
            new RegisterEventSubscribersPass('doctrine.event_manager', 'doctrine.event_subscriber')
        );

        $loader = new YamlFileLoader($this->serviceContainer, new FileLocator(__DIR__));
        $loader->load('config/services.yml');
        $loader->load(__DIR__ . '/../../../../knplabs/doctrine-behaviors/config/orm-services.yml');
    }
}
