<?php

namespace Bydedi\Security\Driver;

use Bydedi\Security\Entity\Role;
use Bydedi\Security\Entity\Permission;
use Doctrine\ORM\EntityManagerInterface;

/**
 * Class DediDriver
 * @package Dedi\Security\Driver
 *
 * Permet de sauvegarder les roles / permissions en bdd et de les retrouver
 *
 */
class BydediDriver implements DriverInterface
{

    /**
     * @var EntityManagerInterface
     */
    protected $entityManager;

    /**
     * BydediDriver constructor.
     * @param EntityManagerInterface $entityManager
     */
    public function __construct(EntityManagerInterface $entityManager)
    {
        $this->entityManager = $entityManager;
    }

    /**
     * @return \Bydedi\Security\Entity\Role[]
     */
    public function getRoles()
    {
        $roleRepo = $this->entityManager->getRepository('Entity\Role');
        return $roleRepo->findAll();
    }

    public function addPermission(Role $role, Permission $permission)
    {
        // TODO: Implement addPermission() method.
    }

    public function deletePermission(Role $role, Permission $permission)
    {
        // TODO: Implement deletePermission() method.
    }

    /**
     * @param $permissionCode
     * @return Permission
     */
    public function findPermissionByCode($permissionCode)
    {
        $premRepo = $this->entityManager->getRepository('Entity\Permission');
        return $premRepo->findOneBy(['code' => $permissionCode]);
    }

    /**
     * @param $roleCode
     * @return Role
     */
    public function findRoleByCode($roleCode)
    {
        $roleRepo = $this->entityManager->getRepository('Entity\Role');
        return $roleRepo->findOneBy(['code' => $roleCode]);
    }
}
