<?php

namespace Bydedi\Security\Event;

use Bydedi\Security\Entity\Permission;
use Symfony\Component\HttpFoundation\Request;

/**
 * Class PermissionDeniedEvent
 * @package Bydedi\Security\Event
 */
class PermissionDeniedEvent extends SecurityEvent
{
    /**
     * @var Permission
     */
    protected $permission;

    /**
     * @param array $roles
     * @param Permission $permission
     * @param Request $request
     */
    public function __construct($roles, Permission $permission, Request $request)
    {
        parent::__construct($roles, $request);
        $this->permission = $permission;
    }

    /**
     * @return Permission
     */
    public function getPermission()
    {
        return $this->permission;
    }
}
