<?php

namespace Bydedi\Security\Event;

use Bydedi\Security\UserInterface;
use Symfony\Component\HttpFoundation\Request;

/**
 * Class UserEvent
 * @package Bydedi\Security\Event
 */
class UserEvent extends SecurityEvent
{
    /**
     * @var UserInterface
     */
    protected $user;

    /**
     * @param UserInterface $user
     * @param array $roles
     * @param Request $request
     */
    public function __construct(UserInterface $user, $roles, Request $request)
    {
        parent::__construct($roles, $request);
        $this->user = $user;
    }

    /**
     * @return UserInterface
     */
    public function getUser()
    {
        return $this->user;
    }
}
