<?php

namespace Bydedi\Security;

/**
 * Class SecurityEvents
 * @package Bydedi\Security
 */
final class SecurityEvents
{
    /**
     * Event dispatch when a user try to access to a forbidden ressource
     *
     * @Event
     *
     * @var string
     */
    const PERMISSION_DENIED = 'security.permission_denied';

    /**
     * Event dispatch when a user try to access to a forbidden ressource
     *
     * @Event
     *
     * @var string
     */
    const ROLE_DENIED = 'security.role_denied';

    /**
     * Event dispatch when a user access to a ressource
     *
     * @Event
     *
     * @var string
     */
    const ACCESS = 'security.access';

    /**
     * Event dispatch when a user login successful
     *
     * @Event
     *
     * @var string
     */
    const USER_LOGIN = 'security.user.login';

    /**
     * Event dispatch when a user login successful
     *
     * @Event
     *
     * @var string
     */
    const USER_LOGOUT = 'security.user.logout';
}
