<?php

namespace Bydedi\Security;

use Doctrine\ORM\EntityManagerInterface;

/**
 * Class UserManager
 * @package Bydedi\Security
 */
class UserManager implements UserManagerInterface
{

    /**
     * @var EntityManagerInterface
     */
    protected $entityManager;

    /**
     * UserManager constructor.
     * @param EntityManagerInterface $entityManager
     */
    public function __construct(EntityManagerInterface $entityManager)
    {
        $this->entityManager = $entityManager;
    }

    /**
     * @param $id
     * @return UserInterface
     */
    public function findById($id)
    {
        $userRepo = $this->entityManager->getRepository('Entity\User');
        return $userRepo->find($id);
    }

    /**
     * @param $login
     * @return UserInterface
     */
    public function findByLogin($login)
    {
        $userRepo = $this->entityManager->getRepository('Entity\User');
        return $userRepo->findOneBy(['email' => $login]);
    }
}
