<?php

namespace Bydedi\Template\Console;

use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;
use Symfony\Component\Console\Input\InputOption;

// TODO : use trait like ContainerAwareTrait
use Dedi\Console\ContainerAwareCommand;

class ClearCommand extends ContainerAwareCommand
{
    protected function configure()
    {
        $this
            ->setName('template:clear')
            ->setDescription('vide le cache / fichier compilé')
            ->addOption(
                'compiled',
                null,
                InputOption::VALUE_NONE,
                'Si défini, efface uniquement les templates compilés'
            )
            ->addOption(
                'cache',
                null,
                InputOption::VALUE_NONE,
                'Si défini, efface uniquement les fichiers de cache'
            );
    }

    protected function execute(InputInterface $input, OutputInterface $output)
    {
        $templating = $this->container->get('templating');

        $clearCompiled = $clearCache = (!$input->getOption('compiled') && !$input->getOption('cache'));

        if ($input->getOption('compiled')) {
            $clearCompiled = true;
        }

        if ($input->getOption('cache')) {
            $clearCache = true;
        }

        if ($clearCompiled) {
            $templating->clearCompiledTemplate();
        }

        if ($clearCache) {
            $templating->clearCache();
        }
    }
}